package com.jzdsh.auto.app;

import com.jfinal.config.Routes;
import com.jzdsh.auto.app.controller.admin.AdminActivityNewsController;
import com.jzdsh.auto.app.controller.admin.AdminIndexController;
import com.jzdsh.auto.app.controller.admin.CommonController;
import com.jzdsh.auto.app.interceptor.AdminAuthInterceptor;
import com.jzdsh.auto.app.interceptor.PjaxInterceptor;

public class AdminRoutes extends Routes {
    @Override
    public void config() {
        setBaseViewPath("/_view/_admin");

        /*addInterceptor(new PjaxInterceptor());
        addInterceptor(new AdminAuthInterceptor());*/

        add("/admin", AdminIndexController.class,"index");
        add("/admin/activityNews", AdminActivityNewsController.class,"activityNews");
        add("/common", CommonController.class);
    }
}
